Name:           qt4pas
Version:        2.5
Release:        %mkrel 10
Summary:        Free Pascal Qt4 Binding
Group:          Development/KDE and Qt
License:        GNU Lesser General Public License
URL:            http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Source0:        http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V%{version}/%{name}-V%{version}_Qt4.5.3.tar.gz

BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)

%description
The Free Pascal Qt4 binding allows Free Pascal to interface with the
C++ Library Qt.

This package contains the runtime libraries needed for applications
built against the Free Pascal Qt4 binding.

%package devel
Summary:        Development files for Free Pascal Qt4 Binding
Conflicts:      %{name} < 2.5-7
Requires:       %{name} = %{version}-%{release}
Requires:       fpc-src

%description devel
The Free Pascal Qt4 binding allows Free Pascal to interface with the
C++ Library Qt.

This binding does not cover the whole Qt4 framework but only the
classes needed by the Cross Platform Lazarus IDE to use Qt as a
Widget set.

This package contains the development files needed to build applications
against the Free Pascal Qt4 binding.

%prep
%setup -q -n %{name}-V%{version}_Qt4.5.3

%build
%qmake_qt4 Qt4Pas.pro
%make

%install
%make_install INSTALL_ROOT=%{buildroot}
install -D -m 644 qt4.pas %{buildroot}%{_datadir}/fpcsrc/packages/qt4/qt4.pas

%files
%doc README.TXT COPYING.TXT
%{_libdir}/libQt4Pas.so.*

%files devel
%{_libdir}/libQt4Pas.so
%{_datadir}/fpcsrc/packages/qt4/qt4.pas


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.5-10.mga8
+ Revision: 1516247
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.5-9.mga7
+ Revision: 1300685
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.5-8.mga6
+ Revision: 952398
- Mageia 6 Mass Rebuild

* Thu Feb 19 2015 akien <akien> 2.5-7.mga5
+ Revision: 815879
- Add explicit Requires to qt4pas in devel subpackage
- Add versioned conflicts on qt4pas in devel subpackage due to the moved files

* Thu Feb 19 2015 akien <akien> 2.5-6.mga5
+ Revision: 815875
- Split the pascal source and .so symlink in a separate devel package

* Wed Oct 15 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 742674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 688531
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 517899
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 18 2012 dams <dams> 2.5-1.mga3
+ Revision: 272186
- imported package qt4pas

